<h1>Getting Started</h1>

<p>This page will help you get started with angular-tree-component. You'll be up and running in a jiffy! This project is completely free and open to use under the MIT license.</p>

<h2>Slack Community</h2>

<p>The best way to get support from the community: <a href="https://angular-tree-component.herokuapp.com/" target="_blank">https://angular-tree-component.herokuapp.com/</a></p>

<h2>Supported Angular Versions</h2>

<p>We follow the Angular Versions. Version 10 of the angular-tree-component supports Angular 10, Version 9 of the tree Angular 9.<br>
    Please note that ownership of the tree changed between Version 8 and 9. We will focus all new development on Version 9 and up.</p>

<h2>Installation</h2>

<h3>Angular 9 and up</h3>

<h4>Installing with npm</h4>

<code-example language="sh">npm install @huntsman-cancer-institute/angular-tree-component --save</code-example>

<h4>Installing with yarn</h4>

<code-example language="sh">yarn add @huntsman-cancer-institute/angular-tree-component</code-example>

<h4>Import css</h4>

<p>Add styles to your <code>styles.scss</code>:</p>

<code-example language="sh">@import '~@huntsman-cancer-institute/angular-tree-component/css/angular-tree-component.css';</code-example>

<h4>Import TreeModule</h4>

<p>Import the TreeModule into your <code>app.module.ts</code>:</p>

<code-example language="sh">imports: [TreeModule]</code-example>

<hr>

<h3>Angular 8 and down</h3>

<h4>Installing with npm</h4>

<code-example language="sh">npm install angular-tree-component --save</code-example>

<h4>Installing with yarn</h4>

<code-example language="sh">yarn add angular-tree-component</code-example>

<h4>Import css</h4>

<p>Add styles to your <code>styles.scss</code>:</p>

<code-example language="sh">@import '~angular-tree-component/dist/angular-tree-component.css';</code-example>

<h4>Import TreeModule</h4>

<p>Import the TreeModule into your <code>app.module.ts</code>:</p>

<code-example language="sh">imports: [TreeModule.forRoot()]</code-example>
